Page MenuHomePhabricator

Implement keyboard navigation for Bookmanagerv2
Closed, DeclinedPublic

Description

Bookmanager(v1) is the 'keyboard navigation', it would be interesting, bring it to this new version of the extension.
see the configuration of Bookmanager(v1)

  • next = arrow right
  • prev = left arrow
  • List chapters = ?
  • metadata (or info) = ?

Version: master
Severity: normal
Whiteboard: gci2014

Details

Reference
bz50679

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 2:08 AM
bzimport set Reference to bz50679.
bzimport added a subscriber: Unknown Object (MLST).

Change 100195 had a related patch set uploaded by Jcf2000:
Implement keyboard navigation for BookManagerv2

https://gerrit.wikimedia.org/r/100195

jaredflores2000 wrote:

In ext.BookManagerv2.js, both the Table of Contents (TOC) and the metadata are referred to as "a" tags when they are actually "img" tags. When using the navigation bar, this causes the two image based buttons to be useless.

jaredflores2000 wrote:

I've implemented the original keyboard navigation (left and right arrow keys) to BookManagerv2. For the metadata and Table of Contents (TOC) dropdowns, I used the up and down arrow keys. Also, I made the metadata and TOC buttons clickable.

Up and down arrow keys for metadata and Table of Contents (TOC) does not destroy scrolling up and down?

jaredflores2000 wrote:

It did, but I was merely using them as placeholders. It currently uses the "i" key for metadata (To match its icon) and the "c" key for Table of Contents

Jared: Do you plan to fix https://gerrit.wikimedia.org/r/#/c/100195/7 at some point, or should this bug report be reassigned to the default assignee?

jaredflores2000 wrote:

(In reply to Andre Klapper from comment #8)

Jared: Do you plan to fix https://gerrit.wikimedia.org/r/#/c/100195/7 at
some point, or should this bug report be reassigned to the default assignee?

Oh I'm sorry! I thought the patch was merged when the task was closed during the days of GCI. Well, I don't have much time to work on this task anymore, but I'll upload one more patch. Thanks!

jaredflores2000 wrote:

Hi! I tried to work on BookManagerv2 again, but the testing environment on my local machine doesn't seem to be loading the extension properly. As much as I would love to continue working on this, I really don't have the time anymore. It would be better if you reassigned the task. Sorry. Thanks for everything!
-Jared Flores

https://gerrit.wikimedia.org/r/#/c/100195/7 is not reviewed but has several comments that should be picked up by anybody who wants to continue by improving Jared's patch. New code contributors please see https://www.mediawiki.org/wiki/Gerrit/Tutorial#Amending_a_change

Raylton, Jared: Could you imagine being a mentor for this task in Google Code-in 2014 (finishing the existing patch)?
See https://lists.wikimedia.org/pipermail/wikitech-l/2014-October/079264.html and https://www.mediawiki.org/wiki/Google_Code-in_2014 for more information.

I'm happy to help getting this task into Google Code-in - just need to know if somebody (plural) would mentor this!

jaredflores2000 wrote:

(In reply to Andre Klapper from comment #12)

Raylton, Jared: Could you imagine being a mentor for this task in Google
Code-in 2014 (finishing the existing patch)?
See
https://lists.wikimedia.org/pipermail/wikitech-l/2014-October/079264.html
and https://www.mediawiki.org/wiki/Google_Code-in_2014 for more information.
I'm happy to help getting this task into Google Code-in - just need to know
if somebody (plural) would mentor this!

Hi! While I would love to help mentor for this task, I don't believe that I have the skills nor the time necessary to do so. High school has eaten up most of my time. Also, I am already signed up as a competitor for GCI 2014, and I'm not sure if it would be appropriate for me to double as a mentor. I appreciate the offer, but I'm sorry to say that I can't accept.
-Jared Flores

TheDJ set Security to None.
Qgil renamed this task from Implement keyboard navigation to Implement keyboard navigation for Bookmanager.Mar 11 2015, 11:45 AM
He7d3r renamed this task from Implement keyboard navigation for Bookmanager to Implement keyboard navigation for Bookmanagerv2.Mar 11 2015, 2:07 PM
He7d3r updated the task description. (Show Details)
He7d3r added a project: JavaScript.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 22 2016, 11:12 PM
MarcoAurelio closed this task as Declined.Nov 7 2017, 9:54 AM
MarcoAurelio added a subscriber: MarcoAurelio.

Declining because BookManagerv2 is an archived extension now. Please see T178938: Archive the BookManagerv2 extension for details. All Gerrit patches were already abandoned long ago.